/* trunc.c */

#include <stdio.h>
#include <stdlib.h>
#include <io.h>

int main (int argc, char *argv[])
    {
    char *p;
    int n;

    errno = 0;
    if (argc != 3 || (n = strtol (argv[2], &p, 10)) < 0 || errno != 0 || *p != 0)
        {
        (void)puts ("Usage: trunc <file> <size>");
        return (1);
        }
    if (truncate (argv[1], n) != 0)
        {
        perror ("truncate");
        return (2);
        }
    return (0);
    }
